name='obs-ndi-bin'
version='4.13.2'
release='1'
desc='Сетевая передача аудио/видео в OBS Studio при помощи NewTek NDI technology'
homepage='https://github.com/Palakis/obs-ndi'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL2')
provides=('obs-ndi')
conflicts=('obs-ndi-git')
deps=('obs-studio' 'avahi' 'ndi-sdk-embedded')

sources=("https://github.com/obs-ndi/obs-ndi/releases/download/$version/obs-ndi-$version-x86_64-linux-gnu.deb")
checksums=('SKIP')

prepare() {
	cd "${srcdir}"
	bsdtar -xf obs-ndi-$version-x86_64-linux-gnu.deb
	tar -xf data.tar.gz 
}

package() {
	install -d ${pkgdir}/usr/share/obs/obs-plugins/obs-ndi/locale
	install -Dm755 "${srcdir}/usr/lib/x86_64-linux-gnu/obs-plugins/obs-ndi.so" "${pkgdir}/usr/lib64/obs-plugins/obs-ndi.so"
	cp -a ${srcdir}/usr/share/obs/obs-plugins/obs-ndi/locale/* "${pkgdir}/usr/share/obs/obs-plugins/obs-ndi/locale/"
}
